Bug 198638 - Make login processes inialise session keyring
Make login processes inialise session keyring
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
Depends On:
Blocks: 198623
  Show dependency treegraph
Reported: 2006-07-12 09:31 EDT by David Howells
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: authconfig-5.3.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-18 10:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Howells 2006-07-12 09:31:28 EDT
+++ This bug was initially created as a clone of Bug #198623 +++

This package contains the "authconfig" program which needs to add an extra bit 
to the system-auth general configuration.

The PAM scripts for the login programs need to be altered to forcibly create a 
new session keyring when a login event occurs.

These simply require the following line adding to their PAM scripts:

	session	    optional    pam_keyinit.so    force revoke

This forces them to create a new session keyring during login, replacing the
one inherited from their parent, and causes the session keyring so created to
be revoked when the login process exits.

Ideally, this should be "required" not "optional", but it still has to work if 
the pam_keyinit.so library is absent.

The authlogin program needs modifying to add:

	session	    optional    pam_keyinit.so    revoke

To the default session (system-auth).  This just creates a new session keyring 
if one doesn't yet exist for this process.

The "su" program needs to split its "su - [user]" mode PAM script from its "su 
[user]" PAM script, so that the former can forcibly create a keyring whilst 
the latter doesn't.

Note You need to log in before you can comment on or make changes to this bug.